package com.czg.order.service;

import com.czg.order.dto.CommonRefundDTO;
import com.czg.order.dto.LtPayOtherDTO;
import com.czg.resp.CzgResult;

import java.util.Map;

/**
 * 积分商品兑换服务
 *
 * @author ww
 */
public interface PointsGoodPayService {

    //积分商品兑换
    CzgResult<Map<String, Object>> exchange(LtPayOtherDTO param);

    //用户申请退款
    boolean applyRefund(CommonRefundDTO param, Long userId);

    //取消退款
    boolean cancelRefund(CommonRefundDTO param, Long userId, Long shopId);

    //同意退款
    boolean agreeRefund(CommonRefundDTO param, Long shopId);

    //支付回调 进行兑换内容发放
    void payCallBack(Long recordId, Long payOrderId);
}
